/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Adc_Cfg.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Defines and exports the channels and groups of ADC module.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef ADC_CFG_H
#define ADC_CFG_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Adc.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
/** \brief Number of ADC groups from group array */
#define ADC_NUMBER_OF_GROUPS              (5U)
/** \brief First ADC group */
#define ADC_C_0                           (0U)

/** \brief Second ADC group */
#define ADC_C_2                           (1U)

/** \brief Third ADC group */
#define ADC_A_6                           (2U)

/** \brief Fourth ADC group */
#define ADC_C_4                           (3U)
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* ADC_CFG_H */
